Page MenuHomePhabricator

Consider not to open MediaViewer when a user clicks on a thumbnail on the rotating reader-interactive "slider" gallery mode
Closed, ResolvedPublic

Description

Feedback from there: opening Mediaviewer when you click on a thumbnail is not intuitive. You expect to display that item on the slideshow instead of having it big.

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJul 18 2016, 8:24 AM
Restricted Application added subscribers: Zppix, Matanya. · View Herald Transcript
MarkTraceur triaged this task as Normal priority.Dec 2 2016, 9:18 PM
MarkTraceur moved this task from Untriaged to Triaged on the Multimedia board.

Change 332220 had a related patch set uploaded (by Prtksxna):
GallerySlideshow: Don't open MultimediaViewer when a thumbnail is clicked

https://gerrit.wikimedia.org/r/332220

If we do this should we open MultimediaViewer when the current image on the slideshow is clicked?

Change 332745 had a related patch set uploaded (by Prtksxna):
bootstrap: isAllowedThumb: Don't allow slideshow gallery thumbnails

https://gerrit.wikimedia.org/r/332745

Change 332220 abandoned by Prtksxna:
GallerySlideshow: Don't open MultimediaViewer when a thumbnail is clicked

Reason:

:-( Stuff in core shouldn't know anything about extensions. Is there a way to fix this inside MediaViewer instead?

Yes! And its cleaner Ia0e230c7649c399d0a43acacf55ff72db9bc0e8e.

https://gerrit.wikimedia.org/r/332220

The big thumbnail should probably open MediaViewer though?

The big thumbnail should probably open MediaViewer though?

That is what I was thinking too.

phuedx moved this task from To Triage to 2014-15 Q4 on the Readers-Web-Backlog board.

Change 332973 had a related patch set uploaded (by Prtksxna):
GallerySlideshow: Fire 'wikipage.content' hook when the main image changes

https://gerrit.wikimedia.org/r/332973

Change 332745 merged by jenkins-bot:
bootstrap: isAllowedThumb: Don't allow slideshow gallery thumbnails

https://gerrit.wikimedia.org/r/332745

matmarex renamed this task from Consider not to open MediaViewer when a user clicks on a thumbnail on the rotating reader-interactive "slider" gallery mode to Consider not to open MediaViewer when a user clicks on a thumbnail on the rotating reader-interactive "slider" gallery mode; instead, we should do it for the big image.Jan 20 2017, 9:31 PM
matmarex updated the task description. (Show Details)
Prtksxna renamed this task from Consider not to open MediaViewer when a user clicks on a thumbnail on the rotating reader-interactive "slider" gallery mode; instead, we should do it for the big image to Consider not to open MediaViewer when a user clicks on a thumbnail on the rotating reader-interactive "slider" gallery mode.Jan 24 2017, 5:49 AM
Prtksxna closed this task as Resolved.
Prtksxna removed a project: Patch-For-Review.
Prtksxna updated the task description. (Show Details)

Change 332973 abandoned by Prtksxna:
GallerySlideshow: Fire 'wikipage.content' hook when the main image changes

Reason:
See T156102 and T156103

https://gerrit.wikimedia.org/r/332973